Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.TestRouteMessage

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestRouteMessage

All Implemented Interfaces:
  RouteMessage, java.io.Serializable

Enclosing class:
  PastRegrTest

protected static class PastRegrTest.TestRouteMessage
extends java.lang.Object
implements RouteMessage

Utility class which simulates a route message

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Constructor Summary
`PastRegrTest.TestRouteMessage(Id id, NodeHandle nextHop, Message message)` Constructor for TestRouteMessage.

Method Summary
`Id` | `getDestinationId()` Gets the DestinationId attribute of the TestRouteMessage object
`Message` | `getMessage()` Gets the Message attribute of the TestRouteMessage object
`NodeHandle` | `getNextHopHandle()` Gets the NextHopHandle attribute of the TestRouteMessage object
`void` | `setDestinationId(Id id)` Sets the DestinationId attribute of the TestRouteMessage object
`void` | `setMessage(Message message)` Sets the Message attribute of the TestRouteMessage object
`void` | `setNextHopHandle(NodeHandle nextHop)` Sets the NextHopHandle attribute of the TestRouteMessage object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PastRegrTest.TestRouteMessage

    public PastRegrTest.TestRouteMessage(Id id,
                                         NodeHandle nextHop,
                                         Message message)

  Constructor for TestRouteMessage.

Parameters:
  `id` - DESCRIBE THE PARAMETER
  `nextHop` - DESCRIBE THE PARAMETER
  `message` - DESCRIBE THE PARAMETER

Method Detail

### getDestinationId

    public Id getDestinationId()

  Gets the DestinationId attribute of the TestRouteMessage object

  Specified by:
    `getDestinationId` in interface `RouteMessage`
  Returns:
    The DestinationId value

### getNextHopHandle

    public NodeHandle getNextHopHandle()

  Gets the NextHopHandle attribute of the TestRouteMessage object

  Specified by:
    `getNextHopHandle` in interface `RouteMessage`
  Returns:
    The NextHopHandle value

### getMessage

    public Message getMessage()

  Gets the Message attribute of the TestRouteMessage object

  Specified by:
    `getMessage` in interface `RouteMessage`
  Returns:
    The Message value

### setDestinationId

    public void setDestinationId(Id id)

  Sets the DestinationId attribute of the TestRouteMessage object

  Specified by:
    `setDestinationId` in interface `RouteMessage`
  Parameters:
    `id` - The new DestinationId value

### setNextHopHandle

    public void setNextHopHandle(NodeHandle nextHop)

  Sets the NextHopHandle attribute of the TestRouteMessage object

  Specified by:
    `setNextHopHandle` in interface `RouteMessage`
  Parameters:
    `nextHop` - The new NextHopHandle value

### setMessage

    public void setMessage(Message message)

  Sets the Message attribute of the TestRouteMessage object

  Specified by:
    `setMessage` in interface `RouteMessage`
  Parameters:
    `message` - The new Message value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.